What's wrong with this code?

Discussion in 'AutoCAD' started by kemp, Jan 31, 2005.

  1. kemp

    kemp Guest

    When the following code is run it stops at the vla-insertblock statement
    with the error "Automation Error. Filer error" What the heck am I doing
    wrong?

    (setq *acad* (vlax-get-acad-object)
    *doc* (vla-get-activedocument *acad*)
    *util* (vla-get-utility *doc*))

    (defun insert-block ( block-name p ang / )
    (vla-InsertBlock *ms* p block-name 1 1 1 ang)
    )

    (defun c:VW ( / p ang );insert int. view arrows
    (setq ang (vla-getangle *util*
    (setq p (vla-getpoint *util* nil "\nSpecify insertion point: ")
    ) "\nSpecify rotation angle: "
    )
    )
    (insert-block "intarrow" p ang)
    )
     
    kemp, Jan 31, 2005
    #1
  2. kemp

    Dann Guest

    *ms* = nil
     
    Dann, Jan 31, 2005
    #2
  3. kemp

    kemp Guest

    Thanks, but now can you explain why I posted this inside another thread?
    hahahah! That answer may be more elusive...:)
     
    kemp, Jan 31, 2005
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.